import { ViewContainerRef, ComponentFactoryResolver, OnInit, OnDestroy } from '@angular/core';
import { NgControl } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';
import { ControlErrorContainerDirective } from './control-error-container.directive';
export declare class ControlErrorDirective implements OnInit, OnDestroy {
    vcr: ViewContainerRef;
    private resolver;
    private controlDir;
    private translate;
    customErrors: {};
    useOurValidation: boolean;
    private ref;
    private container;
    private subscription$;
    constructor(vcr: ViewContainerRef, resolver: ComponentFactoryResolver, controlErrorContainer: ControlErrorContainerDirective, controlDir: NgControl, translate: TranslateService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private get control();
    private setError;
    private getError;
}
